libzypp 17.37.10

zypp::media::AuthenticationReport Struct Reference

`#include <zypp/ZYppCallbacks.h>`

Inheritance diagram for zypp::media::AuthenticationReport:

## Public Member Functions
virtual bool | prompt (const Url &, const std::string &, AuthData &)
| Prompt for authentication data.
Public Member Functions inherited from zypp::callback::ReportBase
virtual void | report (const UserData &userData_r=UserData())
| The most generic way of sending/receiving data.
virtual | ~ReportBase ()

## Additional Inherited Members
Public Types inherited from zypp::callback::ReportBase
typedef callback::UserData | UserData
typedef UserData::ContentType | ContentType

## Detailed Description

Definition at line 474 of file ZYppCallbacks.h.

## Member Function Documentation

## ◆ prompt()

virtual bool zypp::media::AuthenticationReport::prompt | ( | const Url & | ,
|  | const std::string & | ,
|  | AuthData & | )
| inline virtual

Prompt for authentication data.

Parameters

  url | URL which required the authentication
  msg | prompt text
  auth_data | input/output object for handling authentication data. As an input parameter auth_data can be prefilled with username (from previous try) or auth_type (available authentication methods aquired from server (only CurlAuthData)). As an output parameter it serves for sending username, password or other special data (derived AuthData objects).

Returns
  true if user chooses to continue with authentication, false otherwise

Definition at line 490 of file ZYppCallbacks.h.

The documentation for this struct was generated from the following file:

- zypp/ZYppCallbacks.h